# Generated by Django 3.0.2 on 2020-01-27 11:21

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('full_name', models.CharField(db_index=True, max_length=100)),
                ('email', models.EmailField(max_length=255, unique=True, verbose_name='email address')),
                ('picture_url', models.CharField(blank=True, max_length=255, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('is_admin', models.BooleanField(default=False)),
                ('is_product_owner', models.BooleanField(default=False)),
            ],
            options={
                'ordering': ['full_name'],
            },
        ),
        migrations.CreateModel(
            name='Chart',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('version', models.CharField(max_length=10)),
                ('url', models.URLField()),
                ('values', models.CharField(blank=True, max_length=255, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Component',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(db_index=True, max_length=255)),
                ('layer_type', models.CharField(choices=[('interactie', 'interactie'), ('proces', 'proces'), ('integratie', 'integratie'), ('services', 'services'), ('data', 'data')], max_length=20)),
                ('docker_image_uri', models.CharField(blank=True, max_length=255, null=True)),
                ('located_at', models.CharField(blank=True, max_length=255, null=True)),
                ('technology_stack', models.CharField(blank=True, max_length=255, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('organisation_name', models.CharField(blank=True, max_length=255, null=True)),
                ('contact', models.CharField(blank=True, max_length=255, null=True)),
                ('repository_url', models.URLField(blank=True, null=True)),
                ('yaml_config_url', models.URLField(blank=True, null=True)),
                ('status', models.CharField(choices=[('gewenst', 'gewenst'), ('gepland', 'gepland'), ('beta', 'beta'), ('bruikbaar', 'bruikbaar'), ('uitgefaseerd', 'uitgefaseerd')], default='gewenst', max_length=20)),
                ('owner', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tag', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(db_index=True, max_length=255)),
                ('short_description', models.CharField(max_length=255)),
                ('description', models.CharField(max_length=255)),
                ('detail_page_image_url', models.CharField(blank=True, max_length=255, null=True)),
                ('contact_url', models.CharField(blank=True, max_length=255, null=True)),
                ('documentation_url', models.CharField(blank=True, max_length=255, null=True)),
                ('demo_url', models.CharField(blank=True, max_length=255, null=True)),
                ('maintainer', models.CharField(blank=True, max_length=255, null=True)),
                ('maintainer_url', models.CharField(blank=True, max_length=255, null=True)),
                ('customerjourney_url', models.CharField(blank=True, max_length=255, null=True)),
                ('bpmn_process_url', models.CharField(blank=True, max_length=255, null=True)),
                ('is_approved', models.BooleanField(default=False)),
                ('components', models.ManyToManyField(blank=True, to='core.Component')),
                ('owner', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['name'],
            },
        ),
        migrations.AddField(
            model_name='component',
            name='tags',
            field=models.ManyToManyField(blank=True, to='core.Tag'),
        ),
    ]
